Latest GC-864 Software Version?

2 thoughts on “Latest GC-864 Software Version?

  1. Hello,


    Short: What is the latest GC-864 Software Version? (not the GC-864-V2)


    According to the Telit Modules Software User Guide, the latest Software Version for the GC-864 is 10.00.xx5.


    On the Download Zone, the latest version with a link for the GC864-QUAD is 10.00.xx3.

    However the file "streamGC864_QUAD_10_00_063.bin" from this version’s ZIP shows up as Product Name: GC864-CPLD in the XFP software and will not program to the GC864-QUAD (see attachment for error). On a whim, I’ve also tried programming the GC864-QUAD with the GC864-QUAD-V2 software, but this produces the same error.


    The latest Software Release that I can find and successfully program to the GC864-QUAD is 07.03.201


    I am trying to update our older GC864-QUADs to 10.00.xx5 for SSL compatibility to match the other GC864-QUAD-V2s that run SSL. According to the SSL/TLS User Guide, the GC864-QUAD should be SSL compatible.


    Guidance on the GC-864 software versions, and whether non-V2 GC-864s can run SSL would be much appreciated.


    Thank you,



    Edit: Fixed links (by routing through Google).

    1. The latest firmware for Elite chipset based GE864-QUAD is indeed the 7.03.201 you have, which cannot run SSL, and cannot be upgraded to because of different chipsets.